"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@ts-ioc/core");
var decorators_1 = require("../decorators");
var IMiddleware_1 = require("./IMiddleware");
var Application_1 = require("../Application");
var aop_1 = require("@ts-ioc/aop");
var logger = require('koa-logger');
var DefaultLogMiddleware = /** @class */ (function () {
    function DefaultLogMiddleware() {
    }
    DefaultLogMiddleware.prototype.setup = function () {
        this.app.use(logger());
    };
    DefaultLogMiddleware.classAnnations = { "name": "DefaultLogMiddleware", "params": { "constructor": [], "setup": [] } };
    __decorate([
        core_1.Inject(Application_1.ApplicationToken),
        __metadata("design:type", Application_1.Application)
    ], DefaultLogMiddleware.prototype, "app", void 0);
    DefaultLogMiddleware = __decorate([
        aop_1.NonePointcut,
        decorators_1.Middleware(IMiddleware_1.LogMiddlewareToken),
        __metadata("design:paramtypes", [])
    ], DefaultLogMiddleware);
    return DefaultLogMiddleware;
}());
exports.DefaultLogMiddleware = DefaultLogMiddleware;

//# sourceMappingURL=../../sourcemaps/core/middlewares/DefaultLogMiddleware.js.map
