"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@ts-ioc/core");
var decorators_1 = require("../decorators");
var IMiddleware_1 = require("./IMiddleware");
var Application_1 = require("../Application");
var IConfiguration_1 = require("../../IConfiguration");
var platform_server_1 = require("@ts-ioc/platform-server");
var views = require('koa-views');
var DefaultViewsMiddleware = /** @class */ (function () {
    function DefaultViewsMiddleware() {
    }
    DefaultViewsMiddleware.prototype.setup = function () {
        var viewPath = platform_server_1.toAbsolutePath(this.config.rootdir, this.config.views);
        console.log('view path:', viewPath);
        this.app.use(views(viewPath, this.config.viewsOptions));
    };
    DefaultViewsMiddleware.classAnnations = { "name": "DefaultViewsMiddleware", "params": { "constructor": [], "setup": [] } };
    __decorate([
        core_1.Inject(Application_1.ApplicationToken),
        __metadata("design:type", Application_1.Application)
    ], DefaultViewsMiddleware.prototype, "app", void 0);
    __decorate([
        core_1.Inject(IConfiguration_1.ConfigurationToken),
        __metadata("design:type", Object)
    ], DefaultViewsMiddleware.prototype, "config", void 0);
    DefaultViewsMiddleware = __decorate([
        decorators_1.Middleware(IMiddleware_1.ViewsMiddlewareToken),
        __metadata("design:paramtypes", [])
    ], DefaultViewsMiddleware);
    return DefaultViewsMiddleware;
}());
exports.DefaultViewsMiddleware = DefaultViewsMiddleware;

//# sourceMappingURL=../../sourcemaps/core/middlewares/DefaultViewsMiddleware.js.map
