"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@ts-ioc/core");
var decorators_1 = require("../decorators");
var IMiddleware_1 = require("./IMiddleware");
var Application_1 = require("../Application");
var IConfiguration_1 = require("../../IConfiguration");
var aop_1 = require("@ts-ioc/aop");
var platform_server_1 = require("@ts-ioc/platform-server");
var serve = require('koa-static');
var DefaultContentMiddleware = /** @class */ (function () {
    function DefaultContentMiddleware() {
    }
    DefaultContentMiddleware.prototype.setup = function () {
        var _this = this;
        var contents = this.config.contents || ['./public'];
        contents.forEach(function (content, idx) {
            var staticPath = platform_server_1.toAbsolutePath(_this.config.rootdir, content);
            console.log("content path " + (idx + 1) + ":", staticPath);
            _this.app.use(serve(staticPath));
        });
    };
    DefaultContentMiddleware.classAnnations = { "name": "DefaultContentMiddleware", "params": { "constructor": [], "setup": [] } };
    __decorate([
        core_1.Inject(Application_1.ApplicationToken),
        __metadata("design:type", Application_1.Application)
    ], DefaultContentMiddleware.prototype, "app", void 0);
    __decorate([
        core_1.Inject(IConfiguration_1.ConfigurationToken),
        __metadata("design:type", Object)
    ], DefaultContentMiddleware.prototype, "config", void 0);
    DefaultContentMiddleware = __decorate([
        aop_1.NonePointcut,
        decorators_1.Middleware(IMiddleware_1.ContentMiddlewareToken),
        __metadata("design:paramtypes", [])
    ], DefaultContentMiddleware);
    return DefaultContentMiddleware;
}());
exports.DefaultContentMiddleware = DefaultContentMiddleware;

//# sourceMappingURL=../../sourcemaps/core/middlewares/DefaultContentMiddleware.js.map
